Polyrankdocs
Strategy Lab

GET /v1/lab/credits/usage

The caller’s Lab AI usage for the current allowance period (else the last 30 days): credits spent per UTC day (every day, 0 included), the period’s total, the 20 costliest chats (title, Deep mode or not, credits, model calls, last use; a deleted chat keeps its cost with a null title) and how long the caller’s backtests of the last 7 days waited in the queue.

GET
/v1/lab/credits/usage

The caller’s Lab AI usage for the current allowance period (else the last 30 days): credits spent per UTC day (every day, 0 included), the period’s total, the 20 costliest chats (title, Deep mode or not, credits, model calls, last use; a deleted chat keeps its cost with a null title) and how long the caller’s backtests of the last 7 days waited in the queue.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/lab/credits/usage"
{  "period_start": "string",  "period_end": "string",  "daily": [    {      "day": "string",      "credits": -9007199254740991    }  ],  "spent_period": -9007199254740991,  "conversations": [    {      "id": "string",      "title": "string",      "deep": true,      "credits": -9007199254740991,      "calls": -9007199254740991,      "last_at": "string"    }  ],  "queue": {    "runs_7d": -9007199254740991,    "wait_median_s": 0,    "wait_max_s": 0  }}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "running": 0,  "limit": 0,  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "running": 0,  "limit": 0,  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "running": 0,  "limit": 0,  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "running": 0,  "limit": 0,  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "running": 0,  "limit": 0,  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "running": 0,  "limit": 0,  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "running": 0,  "limit": 0,  "issues": [    null  ],  "trace_id": "string"}